#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# libifp
check_include_file( ifp.h HAVE_IFP_H )
if( HAVE_IFP_H )
  check_library_exists( ifp ifp_init "" HAVE_IFP )
endif( )
if( HAVE_IFP_H AND HAVE_IFP )
  set( IFP_LIBRARY ifp )
else( )
  tde_message_fatal( "libifp is required, but was not found on your system" )
endif( )


# libusb
pkg_search_module( USB libusb )
if( NOT USB_FOUND )
  tde_message_fatal( "libusb is required, but was not found on your system" )
endif( )
